:root {
    --colorTitle: #364c66;
    --dwith: 8.7dvw;
    --maxcolumnswidth: 650px;
    --maxtextcolumnswidth: 460px;
    --outheight: 5px;
    --maxwidth: 1140px;
    --bgcolordisplay: rgb(244, 183, 67);
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0 auto;
}

body * {
    box-sizing: border-box;
}

.wrapper_header,
.wrapper_footer {
    display: grid;
    grid-gap: 1rem;
    width: min(100%, var(--maxwidth));
    margin: auto;
    grid-template-columns: 155px 1fr 100px;
    padding: 2rem 1rem;
}

.logo_header,
.logo_footer {
    display: block;
}

.logo_header img,
.logo_footer img {
    display: block;
    width: min(100%, 155px);
    aspect-ratio: 16/9;
    object-fit: contain
}

.social_network_block {
    --wIcon: 20px;
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: repeat(2, 1fr);
}

.social_item {
    display: flex;
    border: 1px solid;
    aspect-ratio: 1;
    width: calc(var(--wIcon) * 1.7);
    border-radius: 0.3em;
    flex-wrap: wrap;
    align-content: center;
    text-decoration: none;
    transition: all .3s linear;
}

.social_item > * {
    margin: auto;
}

.social_item i {
    font-size: var(--wIcon);
    padding-top: 3px;
}

.social_item img {
    width: var(--wIcon);
    aspect-ratio: 1;
    filter: invert(1)
}

.youtube,
.instagram,
.tg,
.dzen {
    background: #374c66;
    color: white;
    scale: 1
}

.youtube:hover,
.instagram:hover,
.tg:hover,
.dzen:hover {
    scale: 1.1;
}

/* .youtube:hover {
    background: rgb(205, 32, 31);
    border-color: rgb(205, 32, 31);
    color: rgb(255, 255, 255);
}

.instagram:hover {
    background: #bc1888;
    border-color: #bc1888;
    color: rgb(255, 255, 255);
}

.tg:hover {
    background: #0088cc;
    border-color: #0088cc;
    color: rgb(255, 255, 255);
}

.dzen:hover {
    background: #000000;
    border-color: #000000;
} */

/* .dzen:hover img {
    filter: invert(1);
}

.youtube {
    color: rgb(205, 32, 31);
}

.instagram {
  color: #bc1888;
}

.tg {
    color: #0088cc;
}

.dzen {
    color: #000000;
} */

section {
    margin: 2rem auto 6rem;
    display: block;
    width: min(100%, var(--maxwidth));
    padding: 0 1rem;
}

section::before {
	display: block;
	content: "";
	height: var(--outheight);
	margin: -var(--outheight) 0 0;
}

.wrapper_columns {
    display: grid;
    /* grid-gap: 3rem; */
    grid-gap: 1rem;
    grid-template-columns: var(--maxcolumnswidth) 1fr
}

.text--display_1 {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.title--display_1 {
    font: bolder min(var(--dwith), 72px)/1.25 Inter, sans-serif;
    color: var(--colorTitle);
    margin: 0;
}

.content--display_1,
.btn,
.figcaption--display_1 {
    font: min(var(--dwith), 18px)/1.5 Inter, sans-serif;
}

.content--display_1 {
    font-weight: 300;
}

.btn {
    display: block;
    border: 1px solid;
    width: fit-content;
    padding: 0.75em 2em;
    text-decoration: none;
    border-radius: 3em 0 3em 0;
    transform: scale(.9);
    transition: all .3s ease-out;
}

.btn:hover {
    transform: scale(1);
    border-radius: 5em;
}

.btn--display {
    background-color: var(--bgcolordisplay);
    border-color: var(--bgcolordisplay);
    color: var(--colorTitle);
}

.image--display_1 img {
    width: 100%;
    object-fit: cover;
    display: block;
    object-position: bottom;
    /* aspect-ratio: 7/8; */
    aspect-ratio: 2/3;
    margin-top: 1rem;
}

.figcaption--display_1 {
    display: inline;
    -webkit-box-decoration-break: clone;
    background: var(--bgcolordisplay);
    text-wrap: balance;
    /* padding: .3em;
    border-radius: .3em; */
    box-sizing: border-box;
    /* line-height: 2; */
    color: var(--colorTitle);
}

#slider {
    margin: 2rem auto 0rem;
}

#slider img {
    width: 100%;
    aspect-ratio: 16/9;
}

#ourProject {
    margin: 1rem auto 6rem;
}

.title--ourProject {
    font: bolder min(var(--dwith), 48px)/1.25 Inter, sans-serif;
    /* color: var(--colorTitle); */
    color: black;
    margin: 0 0 3rem;
}

.wrapper_project {
    display: grid;
    grid-gap: 30px;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.title_project {
    font: bolder min(var(--dwith), 30px)/1.25 Inter, sans-serif;
    text-wrap: balance;
    color: #000;
    text-decoration: none;
}

.item_project {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.item_project a {
    align-self: end;
}

.years_project {
    font: min(var(--dwith), 18px)/1.5 Inter, sans-serif;
    color: grey;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.years_project .bi-arrow-right-short {
    font-size: 30px;
}

.introtext {
    font: 300 min(var(--dwith), 18px)/1.5 Inter, sans-serif;
}

.fullwidthblock {
    background: var(--bgcolorfull);
    /* margin-left: 50%; */
    width: 100% !important;
    /* transform: translateX(-50%); */
}

/* .wrapper__fullwidth {
    width: min(100%, var(--maxwidth));
    padding: 4rem 1rem;
    margin: auto;
    display: grid;
    grid-gap: 100px;
    grid-template-columns: 1fr var(--maxtextcolumnswidth);
} */

.wrapper__fullwidth {
    width: min(100%, var(--maxwidth));
    /* padding: 4rem 1rem; */
    margin: auto;
    min-height: 750px;
    display: grid;
    grid-gap: 10rem;
    grid-template-columns: var(--maxtextcolumnswidth) var(--maxtextcolumnswidth);
}

.image_block {
    position: relative;
    bottom: -44px;
}

.image_block img {
    width: 100%;
    object-fit: cover;
    display: block;
    object-position: bottom;
    /* aspect-ratio: 7/8; */
    aspect-ratio: 2/3;
    margin-top: 1rem;
}

.title-fullwidth {
    font: bolder min(var(--dwith), 48px)/1.25 Inter, sans-serif;
    /* color: var(--colorTitle); */
    color: black;
    word-spacing: 500px;
}

#fullwidth .text_block {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    padding: 8rem 0;
    align-items: center;
}

/* .wrapper_createBlock {
    width: min(100%, var(--maxcolumnswidth));
    margin: 0 auto 4rem;
    text-align: left;
    text-wrap: balance;
} */

.wrapper_createBlock {
    width: min(100%, 505px);
    text-align: left;
    /* text-wrap: balance; */
    margin: 0 0 80px auto;
}

.title_createBlock {
    font: bolder min(var(--dwith), 48px)/1.25 Inter, sans-serif;
    /* color: var(--colorTitle); */
    color: black;
    margin: 0 0 30px;
}

.descr_Block {
    font: 300 min(var(--dwith), 18px)/1.5 Inter, sans-serif;
}

.wrapper_list_createBlock {
    display: flex;
    flex-wrap: wrap;
    gap: 3rem;
    justify-content: center;
    align-items: center;
}

.item_creater {
    flex: 0 1 300px;
    display: flex;
    flex-direction: column;
    /* gap: 2rem; */
    align-items: center;
    text-align: center;
}

.image_create {
    width: min(100%, 300px);
    margin-bottom: 50px;
}

.image_create img {
    display: block;
    width: min(100%, 200px);
    margin: auto;
}

.social_chanell a {
    text-decoration: none;
    font: bolder min(var(--dwith), 21px)/1.5 Inter, sans-serif;
    color: #000000;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.social_chanell a::after {
    content: '';
    height: 1px;
    display: block;
    width: 0;
    background: #000;
    transition: all .3s ease-out;
}

.social_chanell:hover a::after {
    width: 100%;
}

.cardInners {
    font: 300 min(var(--dwith), 16px)/1.5 Inter, sans-serif;
    color: #999999;
    margin-top: 20px;
}

.cardInners .info_card span {
    padding: 0 0.5rem 0 .7rem;
}

.cardInners .info_card span:last-child {
    border-left: 2px solid;
}

.title-map {
    font: 700 min(var(--dwith), 48px)/1.25 Inter, sans-serif;
    /* color: var(--colorTitle); */
    color: black;
}

.wrapper-title {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    justify-content: space-between;
    align-items: center;
    margin: 0 0 3rem;
}

.content-map {
    font: 300 min(var(--dwith), 18px)/1.5 Inter, sans-serif;
}

.content-map .subtitle {
    font: 700 min(var(--dwith), 21px)/1.5 Inter, sans-serif;
    margin: 4rem 0 2rem;
}

.frame-map {
    width: 100%;
    aspect-ratio: 16/10;
    margin: 4rem auto;
}

#footer {
    background-color: #fffbf0;
}

.wrapper-page {
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.wrapper-card {
    display: flex;
    flex-wrap: wrap;
    border: 1px solid lightgrey;
    border-radius: .8em;
    padding: 1.5em;
    gap: 1.5rem;
    max-width: 550px;
    box-shadow: 5px 5px 10px -5px var(--bgcolordisplay), -5px -5px 10px -5px lightgray;
}

.offer-btn {
    align-self: flex-end;
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.offer-btn > .btn--display {
    font-size: 14px;
}

.short_info {
    margin-top: 3rem;
    display: flex;
    flex-direction: column;
    gap: 1em;
    margin-bottom: 2rem;
}

.short_info .years {
    font: min(var(--dwith), 18px)/1.5 Inter, sans-serif;
    color: grey;
}

.wrapper__card {
    box-sizing: border-box;
    border: none;
    border-radius: 1em;
    padding: 2rem;
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    box-shadow: 10px 10px 10px -5px black, -10px -10px 10px -5px lightgrey;
    width: min(100%, 650px);
    margin: 2rem auto;
}

.wrapper__card > * {
    flex: 1 1 calc((100% / 2) - 1rem)
}

.wrapper__card .info__card {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: space-around;
    gap: 1em;   
}

.wrapper__card .names__create {
    font: bolder min(var(--dwith), 21px)/1.5 Inter, sans-serif;
}

.wrapper__card .social_chanell a {
    align-items: flex-start;
}

.btn_border {
    border-radius: 3em 2em 3em 3em;
    font-size: 20px;
    padding: 32px 41px;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.btn_border:hover {
    border-radius: 3em 2em 3em 3em !important;
}

@media(max-width: 600px) {
    #display_1 {
        margin: 2rem auto 0;
    }
    
    .title_project {
        font-size: 24px;
    }
    
    .content--display_1,
    .introtext,
    .descr_Block,
    .content-map p {
        font-size: 16px;
    }
    
    .content-map .subtitle {
        font: 700 min(var(--dwith), 18px)/1.5 Inter, sans-serif;
    }
    
    .wrapper_project {
        grid-gap: 60px
    }
    
    .wrapper_columns,
    .wrapper__fullwidth {
        grid-template-columns: 1fr
    }
    
    @supports (content-visibility: hidden) {
        #slider {
            content-visibility: hidden;
        }
    }
    
    @supports not (content-visibility: hidden) {
        #slider {
            display: none;
        }
    }
    
    .figcaption--display_1 {
        visibility: hidden;
    }
    
    .title-fullwidth {
        word-spacing: 300px;
    }
    
    .frame-map {
        aspect-ratio: 10/16
    }
    
    .wrapper__card .info__card {
        align-items: center;
        text-align: center;
    }
    
    .wrapper__fullwidth {
        grid-gap: 5rem
    }
    
    #fullwidth .text_block {
        padding: 0 0 4rem;
    }
}

@media(999px <= width <= 1120px) {
    .wrapper__fullwidth {grid-gap: 3rem}
}

@media(601px <= width <= 998px) {
    .wrapper__fullwidth,
    .wrapper_columns {
        grid-gap: 3rem;
        grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    }
    
    .title--display_1 {
        font-size: 44px;
    }
    
    .image_block {
        bottom: 0;
        margin: auto;
    }
    
    /*.image_block img {
        aspect-ratio: 1/2
    }*/
}